flywheel.api.projects_api
ProjectsApi
Bases: object
add_project(body, **kwargs)
Create a new project
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | ProjectInput | | required |
inherit | (bool, optional) | Inherit permissions from the group permission template, defaults to false | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_project_analysis(cid, body, **kwargs)
Create an analysis and upload files.
When query param "job" is "true", send JSON to create an analysis and job. Otherwise, multipart/form-data to upload files and create an analysis. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | union[AdhocAnalysisInput, JobAnalysisInput] | | required |
job | (bool, optional) | returns job_id instead of analysis.id, defaults to false | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_project_analysis_note(container_id, analysis_id, body, **kwargs)
Add a note to a(n) project analysis.
Add a note to a(n) project analysis. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | 24-char hex id | required |
analysis_id | str | 24-char hex analysis id | required |
body | NoteInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_project_analysis_note_with_http_info(container_id, analysis_id, body, **kwargs)
Add a note to a(n) project analysis.
Add a note to a(n) project analysis. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | 24-char hex id | required |
analysis_id | str | 24-char hex analysis id | required |
body | NoteInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_project_analysis_with_http_info(cid, body, **kwargs)
Create an analysis and upload files.
When query param "job" is "true", send JSON to create an analysis and job. Otherwise, multipart/form-data to upload files and create an analysis. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | union[AdhocAnalysisInput, JobAnalysisInput] | | required |
job | (bool, optional) | returns job_id instead of analysis.id, defaults to false | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_project_note(container_id, body, **kwargs)
Add a note to a(n) project.
Add a note to a(n) project. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | | required |
body | NoteInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_project_note_with_http_info(container_id, body, **kwargs)
Add a note to a(n) project.
Add a note to a(n) project. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | | required |
body | NoteInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_project_permission(project_id, body, **kwargs)
Add a permission
Add user to a project Args: project_id: The id of the project permission: The permission to add auth_session: The auth session Returns: RolePermissionOutput: The added permission This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
body | RolePermission | | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_project_permission_with_http_info(project_id, body, **kwargs)
Add a permission
Add user to a project Args: project_id: The id of the project permission: The permission to add auth_session: The auth session Returns: RolePermissionOutput: The added permission This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
body | RolePermission | | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_project_rule(project_id, body, **kwargs)
Create a new rule for a project.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
body | GearRuleInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_project_rule_with_http_info(project_id, body, **kwargs)
Create a new rule for a project.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
body | GearRuleInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_project_tag(cid, body, **kwargs)
Add a tag to a(n) project.
Propagates changes to projects, sessions and acquisitions This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | Tag | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_project_tag_with_http_info(cid, body, **kwargs)
Add a tag to a(n) project.
Propagates changes to projects, sessions and acquisitions This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | Tag | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_project_tags(cid, body, **kwargs)
Add multiple tags to a(n) project
Add multiple tags to a(n) project This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | list[str] | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_project_tags_with_http_info(cid, body, **kwargs)
Add multiple tags to a(n) project
Add multiple tags to a(n) project This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | list[str] | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_project_with_http_info(body, **kwargs)
Create a new project
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | ProjectInput | | required |
inherit | (bool, optional) | Inherit permissions from the group permission template, defaults to false | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
catalog_list(**kwargs)
Catalog List
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
search_string | (str, optional) | Include only results containing the search string | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
catalog_list_with_http_info(**kwargs)
Catalog List
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
search_string | (str, optional) | Include only results containing the search string | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_project(project_id, **kwargs)
Delete a project
Delete a project. Only site admins and users with "admin" project permissions may delete a project. When background=true, the deletion is performed asynchronously in the background (returns 202). Use GET /{project_id}/delete-status to check the deletion progress. When background=false, the deletion is performed synchronously (returns 200). This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
delete_reason | (ContainerDeleteReason, optional) | A reason for deletion when audit-trail is enabled | required |
background | (bool, optional) | Perform deletion in the background, defaults to false | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_project_analysis(cid, analysis_id, **kwargs)
Delete an analysis
Delete an analysis for a container. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
delete_reason | (ContainerDeleteReason, optional) | Provide a reason for the deletion | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_project_analysis_note(cid, analysis_id, note_id, **kwargs)
Remove a note from a(n) project analysis.
Remove a note from a(n) project analysis. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | 24-char hex id | required |
analysis_id | str | 24-char hex analysis id | required |
note_id | str | 24-char hex note id | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_project_analysis_note_with_http_info(cid, analysis_id, note_id, **kwargs)
Remove a note from a(n) project analysis.
Remove a note from a(n) project analysis. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | 24-char hex id | required |
analysis_id | str | 24-char hex analysis id | required |
note_id | str | 24-char hex note id | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_project_analysis_with_http_info(cid, analysis_id, **kwargs)
Delete an analysis
Delete an analysis for a container. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
delete_reason | (ContainerDeleteReason, optional) | Provide a reason for the deletion | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_project_file(cid, filename, **kwargs)
Delete a file
A user with read-write or higher permissions on the container may delete files that were uploaded by users or were the output of jobs. (Specifically, files whose origin.type is either job or user.)
A user with admin permissions on the container may delete any file. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
delete_reason | (ContainerDeleteReason, optional) | A reason for deletion when audit-trail is enabled | required |
force | (bool, optional) | Force deletion of the file even if some checks fail. Deprecated, will be removed in a future release., defaults to false | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_project_file_with_http_info(cid, filename, **kwargs)
Delete a file
A user with read-write or higher permissions on the container may delete files that were uploaded by users or were the output of jobs. (Specifically, files whose origin.type is either job or user.)
A user with admin permissions on the container may delete any file. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
delete_reason | (ContainerDeleteReason, optional) | A reason for deletion when audit-trail is enabled | required |
force | (bool, optional) | Force deletion of the file even if some checks fail. Deprecated, will be removed in a future release., defaults to false | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_project_note(cid, note_id, **kwargs)
Remove a note from a(n) project
Remove a note from a(n) project This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
note_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_project_note_with_http_info(cid, note_id, **kwargs)
Remove a note from a(n) project
Remove a note from a(n) project This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
note_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_project_tag(cid, value, **kwargs)
Delete a tag
Delete a tag This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
value | str | The tag to interact with | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_project_tag_with_http_info(cid, value, **kwargs)
Delete a tag
Delete a tag This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
value | str | The tag to interact with | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_project_tags(cid, body, **kwargs)
Delete multiple tags from a(n) project
Delete multiple tags from a(n) project This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | list[str] | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_project_tags_with_http_info(cid, body, **kwargs)
Delete multiple tags from a(n) project
Delete multiple tags from a(n) project This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | list[str] | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_project_user_permission(project_id, uid, **kwargs)
Delete a permission
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
uid | str | | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_project_user_permission_with_http_info(project_id, uid, **kwargs)
Delete a permission
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
uid | str | | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_project_with_http_info(project_id, **kwargs)
Delete a project
Delete a project. Only site admins and users with "admin" project permissions may delete a project. When background=true, the deletion is performed asynchronously in the background (returns 202). Use GET /{project_id}/delete-status to check the deletion progress. When background=false, the deletion is performed synchronously (returns 200). This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
delete_reason | (ContainerDeleteReason, optional) | A reason for deletion when audit-trail is enabled | required |
background | (bool, optional) | Perform deletion in the background, defaults to false | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_projects_by_ids(body, **kwargs)
Delete multiple projects by ID list
Delete multiple projects by ID list This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | list[str] | List of IDs to delete | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_projects_by_ids_with_http_info(body, **kwargs)
Delete multiple projects by ID list
Delete multiple projects by ID list This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | list[str] | List of IDs to delete | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
download_file_from_project(project_id, file_name, dest_file, **kwargs)
Download a file.
Files can be downloaded directly from this endpoint with a valid "Authorization" header or via a ticket id. To generate a ticket: - Make a request with an empty "ticket" parameter and a valid "Authorization" header. The server will respond with a generated ticket id. - Make another request with the received ticket id in the "ticket" parameter. A valid "Authorization" header is no longer required. When "view" is true, RFC7233 range request headers are supported. When virus_scan feature is enabled the quarantined files only can be downloaded using signed urls otherwise it will return with a HTTP 400 response. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | 24-character hex ID | required |
file_name | str | output file name | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | If true, the proper "Content-Type" header based on the file's mimetype is set on response If false, the "Content-Type" header is set to "application/octet-stream" , defaults to false | required |
version | (int, optional) | version of the file to download | required |
hash | (str, optional) | file hash for comparison | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
dest_file | str | Destination file path | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
download_file_from_project_with_http_info(project_id, file_name, **kwargs)
Download a file.
Files can be downloaded directly from this endpoint with a valid "Authorization" header or via a ticket id. To generate a ticket: - Make a request with an empty "ticket" parameter and a valid "Authorization" header. The server will respond with a generated ticket id. - Make another request with the received ticket id in the "ticket" parameter. A valid "Authorization" header is no longer required. When "view" is true, RFC7233 range request headers are supported. When virus_scan feature is enabled the quarantined files only can be downloaded using signed urls otherwise it will return with a HTTP 400 response. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | 24-character hex ID | required |
file_name | str | output file name | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | If true, the proper "Content-Type" header based on the file's mimetype is set on response If false, the "Content-Type" header is set to "application/octet-stream" , defaults to false | required |
version | (int, optional) | version of the file to download | required |
hash | (str, optional) | file hash for comparison | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
download_input_from_project_analysis(project_id, analysis_id, filename, dest_file, **kwargs)
Download analysis inputs with filter.
If "ticket" query param is included and not empty, download inputs. If "ticket" query param is included and empty, create a ticket for matching inputs in the analysis. If no "ticket" query param is included, inputs will be downloaded directly. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
info | (bool, optional) | get file info only, defaults to false | required |
member | (str, optional) | get zipfile member | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
dest_file | str | Destination file path | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
download_input_from_project_analysis_with_http_info(project_id, analysis_id, filename, **kwargs)
Download analysis inputs with filter.
If "ticket" query param is included and not empty, download inputs. If "ticket" query param is included and empty, create a ticket for matching inputs in the analysis. If no "ticket" query param is included, inputs will be downloaded directly. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
info | (bool, optional) | get file info only, defaults to false | required |
member | (str, optional) | get zipfile member | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
download_output_from_project_analysis(project_id, analysis_id, filename, dest_file, **kwargs)
Download analysis outputs with filter.
If "ticket" query param is included and not empty, download outputs. If "ticket" query param is included and empty, create a ticket for matching outputs in the analysis. If no "ticket" query param is included, outputs will be downloaded directly. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
dest_file | str | Destination file path | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
download_output_from_project_analysis_with_http_info(project_id, analysis_id, filename, **kwargs)
Download analysis outputs with filter.
If "ticket" query param is included and not empty, download outputs. If "ticket" query param is included and empty, create a ticket for matching outputs in the analysis. If no "ticket" query param is included, outputs will be downloaded directly. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
end_project_packfile_upload(token, metadata, file_count, project_id, **kwargs)
End a packfile upload
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
token | str | | required |
metadata | str | Metadata object as a JSON-encoded string | required |
file_count | int | Number of files uploaded into this packfile. | required |
project_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
end_project_packfile_upload_with_http_info(token, metadata, file_count, project_id, **kwargs)
End a packfile upload
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
token | str | | required |
metadata | str | Metadata object as a JSON-encoded string | required |
file_count | int | Number of files uploaded into this packfile. | required |
project_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_all_projects(**kwargs)
Get a list of projects
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
counts | (bool, optional) | Append the count of subjects in each project, defaults to false | required |
stats | (bool, optional) | Return the status of subjects and sessions in each project, defaults to false | required |
join_avatars | (bool, optional) | Return the joined avatars of the permissions, defaults to false | required |
join | (JoinType, optional) | | required |
exhaustive | (bool, optional) | Set to return a complete list regardless of permissions, defaults to false | required |
include_all_info | (bool, optional) | Include all info in returned objects, defaults to false | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_all_projects_groups(**kwargs)
List all groups which have a project in them
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
exhaustive | (bool, optional) | returns exhaustive list if correct permissions, defaults to false | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[str], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_all_projects_groups_with_http_info(**kwargs)
List all groups which have a project in them
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
exhaustive | (bool, optional) | returns exhaustive list if correct permissions, defaults to false | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[str], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_all_projects_with_http_info(**kwargs)
Get a list of projects
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
counts | (bool, optional) | Append the count of subjects in each project, defaults to false | required |
stats | (bool, optional) | Return the status of subjects and sessions in each project, defaults to false | required |
join_avatars | (bool, optional) | Return the joined avatars of the permissions, defaults to false | required |
join | (JoinType, optional) | | required |
exhaustive | (bool, optional) | Set to return a complete list regardless of permissions, defaults to false | required |
include_all_info | (bool, optional) | Include all info in returned objects, defaults to false | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_catalog_list_filter_options(**kwargs)
Get all filter options for sharing a project
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
async_ | (bool, optional) | Perform the request asynchronously | required |
get_catalog_list_filter_options_with_http_info(**kwargs)
Get all filter options for sharing a project
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project(project_id, **kwargs)
Get a single project
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
join | (JoinType, optional) | | required |
join_avatars | (bool, optional) | add name and avatar to notes, defaults to false | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_acquisitions(project_id, **kwargs)
List all acquisitions for the given project.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
collection_id | (str, optional) | | required |
exhaustive | (bool, optional) | , defaults to false | required |
join | (JoinType, optional) | | required |
include_all_info | (bool, optional) | Include all info in returned objects, defaults to false | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[str], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_acquisitions_with_http_info(project_id, **kwargs)
List all acquisitions for the given project.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
collection_id | (str, optional) | | required |
exhaustive | (bool, optional) | , defaults to false | required |
join | (JoinType, optional) | | required |
include_all_info | (bool, optional) | Include all info in returned objects, defaults to false | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[str], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_analyses(cid, **kwargs)
Get analyses for a(n) project.
Returns analyses that directly belong to this resource. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
inflate_job | (bool, optional) | , defaults to false | required |
join_avatars | (bool, optional) | , defaults to false | required |
join | (JoinType, optional) | | required |
include_all_info | (bool, optional) | Include all info in returned objects, defaults to false | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[str], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_analyses_with_http_info(cid, **kwargs)
Get analyses for a(n) project.
Returns analyses that directly belong to this resource. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
inflate_job | (bool, optional) | , defaults to false | required |
join_avatars | (bool, optional) | , defaults to false | required |
join | (JoinType, optional) | | required |
include_all_info | (bool, optional) | Include all info in returned objects, defaults to false | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[str], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_analysis(cid, analysis_id, **kwargs)
Get an analysis.
Get an analysis. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
inflate_job | (bool, optional) | Return job as an object instead of an id, defaults to false | required |
join_avatars | (bool, optional) | , defaults to false | required |
join | (JoinType, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_analysis_input_download_ticket(project_id, analysis_id, filename, **kwargs)
Get a signed URL to download a named child file.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
ticket | (str, optional) | 24-char hex ticket id | required |
info | (bool, optional) | get file info only, defaults to false | required |
member | (str, optional) | get zipfile member | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_analysis_input_download_ticket_with_http_info(project_id, analysis_id, filename, **kwargs)
Get a signed URL to download a named child file.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
ticket | (str, optional) | 24-char hex ticket id | required |
info | (bool, optional) | get file info only, defaults to false | required |
member | (str, optional) | get zipfile member | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_analysis_input_zip_info(project_id, analysis_id, filename, **kwargs)
Retrieve the zip info of a child file by name.
Does not work on files whose names contain a forward slash. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
ticket | (str, optional) | 24-char hex ticket id | required |
info | (bool, optional) | get file info only, defaults to false | required |
member | (str, optional) | get zipfile member | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_analysis_input_zip_info_with_http_info(project_id, analysis_id, filename, **kwargs)
Retrieve the zip info of a child file by name.
Does not work on files whose names contain a forward slash. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
ticket | (str, optional) | 24-char hex ticket id | required |
info | (bool, optional) | get file info only, defaults to false | required |
member | (str, optional) | get zipfile member | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_analysis_output_download_ticket(project_id, analysis_id, filename, **kwargs)
Get a signed URL to download a named child file.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
ticket | (str, optional) | ticket id of the outputs to download | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_analysis_output_download_ticket_with_http_info(project_id, analysis_id, filename, **kwargs)
Get a signed URL to download a named child file.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
ticket | (str, optional) | ticket id of the outputs to download | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_analysis_output_zip_info(project_id, analysis_id, filename, **kwargs)
Retrieve the zip info of a child file by name.
Does not work on files whose names contain a forward slash. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
ticket | (str, optional) | ticket id of the outputs to download | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_analysis_output_zip_info_with_http_info(project_id, analysis_id, filename, **kwargs)
Retrieve the zip info of a child file by name.
Does not work on files whose names contain a forward slash. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
ticket | (str, optional) | ticket id of the outputs to download | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_analysis_with_http_info(cid, analysis_id, **kwargs)
Get an analysis.
Get an analysis. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
inflate_job | (bool, optional) | Return job as an object instead of an id, defaults to false | required |
join_avatars | (bool, optional) | , defaults to false | required |
join | (JoinType, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_delete_status(project_id, **kwargs)
Get project deletion status
Get the status of a project deletion running in the background. Returns the current deletion status and any failure reason if the deletion failed. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_delete_status_with_http_info(project_id, **kwargs)
Get project deletion status
Get the status of a project deletion running in the background. Returns the current deletion status and any failure reason if the deletion failed. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_download_ticket(project_id, file_name, **kwargs)
Get a signed URL to download a named child file.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | 24-character hex ID | required |
file_name | str | output file name | required |
ticket | (str, optional) | The generated ticket id for the download, or present but empty to generate a ticket id | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | If true, the proper "Content-Type" header based on the file's mimetype is set on response If false, the "Content-Type" header is set to "application/octet-stream" , defaults to false | required |
version | (int, optional) | version of the file to download | required |
hash | (str, optional) | file hash for comparison | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_download_ticket_with_http_info(project_id, file_name, **kwargs)
Get a signed URL to download a named child file.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | 24-character hex ID | required |
file_name | str | output file name | required |
ticket | (str, optional) | The generated ticket id for the download, or present but empty to generate a ticket id | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | If true, the proper "Content-Type" header based on the file's mimetype is set on response If false, the "Content-Type" header is set to "application/octet-stream" , defaults to false | required |
version | (int, optional) | version of the file to download | required |
hash | (str, optional) | file hash for comparison | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_file_info(cid, filename, **kwargs)
Get info for a particular file.
Get info for a particular file. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | Container Id | required |
filename | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_file_info_with_http_info(cid, filename, **kwargs)
Get info for a particular file.
Get info for a particular file. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | Container Id | required |
filename | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_file_zip_info(project_id, file_name, **kwargs)
Retrieve the zip info of a child file by name.
Does not work on files whose names contain a forward slash. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | 24-character hex ID | required |
file_name | str | output file name | required |
ticket | (str, optional) | The generated ticket id for the download, or present but empty to generate a ticket id | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | If true, the proper "Content-Type" header based on the file's mimetype is set on response If false, the "Content-Type" header is set to "application/octet-stream" , defaults to false | required |
version | (int, optional) | version of the file to download | required |
hash | (str, optional) | file hash for comparison | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_file_zip_info_with_http_info(project_id, file_name, **kwargs)
Retrieve the zip info of a child file by name.
Does not work on files whose names contain a forward slash. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | 24-character hex ID | required |
file_name | str | output file name | required |
ticket | (str, optional) | The generated ticket id for the download, or present but empty to generate a ticket id | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | If true, the proper "Content-Type" header based on the file's mimetype is set on response If false, the "Content-Type" header is set to "application/octet-stream" , defaults to false | required |
version | (int, optional) | version of the file to download | required |
hash | (str, optional) | file hash for comparison | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_note(cid, note_id, **kwargs)
Get a note of a(n) project.
Get a note of a(n) project This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
note_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_note_with_http_info(cid, note_id, **kwargs)
Get a note of a(n) project.
Get a note of a(n) project This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
note_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_rule(project_id, rule_id, **kwargs)
Get a project rule.
Get a project rule. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
rule_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_rule_with_http_info(project_id, rule_id, **kwargs)
Get a project rule.
Get a project rule. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
rule_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_rules(project_id, **kwargs)
List all rules for a project.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_rules_with_http_info(project_id, **kwargs)
List all rules for a project.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_sessions(project_id, **kwargs)
List all sessions for the given project.
Returns a page of sessions by their parent This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | 24-char hex subject id | required |
join | (JoinType, optional) | join file origins | required |
include_all_info | (bool, optional) | Include all info in returned objects, defaults to false | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_sessions_with_http_info(project_id, **kwargs)
List all sessions for the given project.
Returns a page of sessions by their parent This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | 24-char hex subject id | required |
join | (JoinType, optional) | join file origins | required |
include_all_info | (bool, optional) | Include all info in returned objects, defaults to false | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_settings(project_id, **kwargs)
Get a(n) project settings
Route for getting settings from a a(n) project This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_settings_with_http_info(project_id, **kwargs)
Get a(n) project settings
Route for getting settings from a a(n) project This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_subjects(project_id, **kwargs)
List all subjects for the given project.
List all subjects for the given project. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
join | (JoinType, optional) | | required |
include_all_info | (bool, optional) | Include all info in returned objects, defaults to false | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[str], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_subjects_with_http_info(project_id, **kwargs)
List all subjects for the given project.
List all subjects for the given project. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
join | (JoinType, optional) | | required |
include_all_info | (bool, optional) | Include all info in returned objects, defaults to false | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[str], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_tag(cid, value, **kwargs)
Get the value of a tag, by name.
Get the value of a tag, by name This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
value | str | The tag to interact with | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_tag_with_http_info(cid, value, **kwargs)
Get the value of a tag, by name.
Get the value of a tag, by name This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
value | str | The tag to interact with | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_user_permission(project_id, uid, **kwargs)
List a user's permissions for this project.
Get a user's permission from a project Args: project_id: The id of the project uid: The id of the user auth_session: The auth session Returns: RolePermissionOutput: The permission This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
uid | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_user_permission_with_http_info(project_id, uid, **kwargs)
List a user's permissions for this project.
Get a user's permission from a project Args: project_id: The id of the project uid: The id of the user auth_session: The auth session Returns: RolePermissionOutput: The permission This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
uid | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_project_with_http_info(project_id, **kwargs)
Get a single project
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
join | (JoinType, optional) | | required |
join_avatars | (bool, optional) | add name and avatar to notes, defaults to false | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_project(project_id, body, **kwargs)
Update a project
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
body | ProjectModify | | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_project_analysis(cid, analysis_id, body, **kwargs)
Modify an analysis.
Modify an analysis. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
body | AnalysisModifyInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_project_analysis_with_http_info(cid, analysis_id, body, **kwargs)
Modify an analysis.
Modify an analysis. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
body | AnalysisModifyInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_project_file(cid, filename, body, **kwargs)
Modify a file's attributes
Note: If modifying a file's modality, the current classification will be cleared (except for items in the "Custom" list) This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
body | FileModifyInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_project_file_classification(cid, filename, body, **kwargs)
Update classification for a particular file.
If replacing a file's classification, the modality can optionally be modified as well. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
body | FileClassificationDelta | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_project_file_classification_with_http_info(cid, filename, body, **kwargs)
Update classification for a particular file.
If replacing a file's classification, the modality can optionally be modified as well. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
body | FileClassificationDelta | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_project_file_info(cid, filename, body, **kwargs)
Update info for a particular file.
Modify and return the file 'info' field This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
body | Info | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_project_file_info_with_http_info(cid, filename, body, **kwargs)
Update info for a particular file.
Modify and return the file 'info' field This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
body | Info | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_project_file_with_http_info(cid, filename, body, **kwargs)
Modify a file's attributes
Note: If modifying a file's modality, the current classification will be cleared (except for items in the "Custom" list) This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
body | FileModifyInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_project_info(cid, body, **kwargs)
Update or replace info for a(n) project.
Update or replace info for a(n) project. Keys that contain '$' or '.' will be sanitized in the process of being updated on the container. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | Info | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_project_info_with_http_info(cid, body, **kwargs)
Update or replace info for a(n) project.
Update or replace info for a(n) project. Keys that contain '$' or '.' will be sanitized in the process of being updated on the container. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | Info | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_project_note(cid, note_id, body, **kwargs)
Update a note of a(n) project.
Update a note of a(n) project This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
note_id | str | | required |
body | NoteInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_project_note_with_http_info(cid, note_id, body, **kwargs)
Update a note of a(n) project.
Update a note of a(n) project This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
note_id | str | | required |
body | NoteInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_project_rule(project_id, rule_id, body, **kwargs)
Update a rule on a project.
Update a rule on a project. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
rule_id | str | | required |
body | GearRuleModifyInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_project_rule_with_http_info(project_id, rule_id, body, **kwargs)
Update a rule on a project.
Update a rule on a project. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
rule_id | str | | required |
body | GearRuleModifyInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_project_settings(project_id, body, **kwargs)
Modify a(n) project settings
Route for modifying settings for a a(n) project This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
body | ProjectSettingsInput | | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_project_settings_with_http_info(project_id, body, **kwargs)
Modify a(n) project settings
Route for modifying settings for a a(n) project This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
body | ProjectSettingsInput | | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_project_user_permission(project_id, uid, body, **kwargs)
Update a user's permission for this project.
Update a user's permission for this project. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
uid | str | | required |
body | RolePermissionUpdate | | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_project_user_permission_with_http_info(project_id, uid, body, **kwargs)
Update a user's permission for this project.
Update a user's permission for this project. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
uid | str | | required |
body | RolePermissionUpdate | | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_project_with_http_info(project_id, body, **kwargs)
Update a project
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
body | ProjectModify | | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
project_copy(project_id, body, **kwargs)
Copy By Reference
Copy a project and its descendants to a new project tree This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
body | ProjectCopyInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
project_copy_with_http_info(project_id, body, **kwargs)
Copy By Reference
Copy a project and its descendants to a new project tree This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
body | ProjectCopyInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
project_packfile_upload(project_id, token, file, **kwargs)
Add files to an in-progress packfile
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
token | str | | required |
file | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
project_packfile_upload_with_http_info(project_id, token, file, **kwargs)
Add files to an in-progress packfile
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
token | str | | required |
file | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
recalc_all_projects(**kwargs)
Recalculate all sessions against their project templates.
Iterates all projects that have a session template. Recalculate if projects' sessions satisfy the template. Returns list of modified session ids. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
async_ | (bool, optional) | Perform the request asynchronously | required |
recalc_all_projects_with_http_info(**kwargs)
Recalculate all sessions against their project templates.
Iterates all projects that have a session template. Recalculate if projects' sessions satisfy the template. Returns list of modified session ids. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
async_ | (bool, optional) | Perform the request asynchronously | required |
recalc_project(project_id, **kwargs)
Currently does nothing--will eventually calculate if sessions in the project satisfy the template.
Currently does nothing--will eventually calculate if sessions in the project satisfy the template. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
recalc_project_with_http_info(project_id, **kwargs)
Currently does nothing--will eventually calculate if sessions in the project satisfy the template.
Currently does nothing--will eventually calculate if sessions in the project satisfy the template. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
remove_project_rule(project_id, rule_id, **kwargs)
Remove a project rule.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
rule_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
remove_project_rule_with_http_info(project_id, rule_id, **kwargs)
Remove a project rule.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
rule_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
remove_project_template(project_id, **kwargs)
Remove the session template for a project.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
remove_project_template_with_http_info(project_id, **kwargs)
Remove the session template for a project.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
rename_project_tag(cid, value, body, **kwargs)
Rename a tag.
Rename a tag This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
value | str | The tag to interact with | required |
body | Tag | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
rename_project_tag_with_http_info(cid, value, body, **kwargs)
Rename a tag.
Rename a tag This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
value | str | The tag to interact with | required |
body | Tag | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
set_project_template(project_id, body, **kwargs)
Set the session template for a project.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
body | ProjectTemplateListInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
set_project_template_with_http_info(project_id, body, **kwargs)
Set the session template for a project.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
body | ProjectTemplateListInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
start_project_packfile_upload(project_id, **kwargs)
Start a packfile upload to project
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
start_project_packfile_upload_with_http_info(project_id, **kwargs)
Start a packfile upload to project
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
upload_file_to_project(container_id, file, **kwargs)
Upload a file to a(n) project.
Upload a file to a(n) project. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | | required |
file | str | The file to upload | required |
preserve_metadata | (bool, optional) | , defaults to false | required |
ticket | (str, optional) | | required |
id | (str, optional) | | required |
level | (ContainerType, optional) | | required |
job | (str, optional) | | required |
metadata | (object, optional) | Dictionary of file metadata (type, modality, info, etc.) | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
content_type | (str, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
upload_file_to_project_with_http_info(container_id, file, **kwargs)
Upload a file to a(n) project.
Upload a file to a(n) project. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | | required |
file | str | The file to upload | required |
preserve_metadata | (bool, optional) | , defaults to false | required |
ticket | (str, optional) | | required |
id | (str, optional) | | required |
level | (ContainerType, optional) | | required |
job | (str, optional) | | required |
metadata | (object, optional) | Dictionary of file metadata (type, modality, info, etc.) | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
content_type | (str, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
upload_output_to_project_analysis(cid, analysis_id, file, **kwargs)
Upload an output file to an analysis.
Upload an output file to an analysis This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
file | str | The file to upload | required |
ticket | (str, optional) | | required |
id | (str, optional) | | required |
level | (ContainerType, optional) | | required |
job | (str, optional) | | required |
content_type | (str, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
upload_output_to_project_analysis_with_http_info(cid, analysis_id, file, **kwargs)
Upload an output file to an analysis.
Upload an output file to an analysis This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
file | str | The file to upload | required |
ticket | (str, optional) | | required |
id | (str, optional) | | required |
level | (ContainerType, optional) | | required |
job | (str, optional) | | required |
content_type | (str, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
upsert_project_hierarchy(project_id, body, **kwargs)
Create or update subject, session and acquisition containers in the project.
Create, update or just return an existing container sub-hierarchy as-is for the given project. Useful for efficient and highly parallel automated imports using device authN, based on common routing fields such as id, uid and label. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
body | ProjectHierarchyInput | | required |
uid_scope | (str, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
upsert_project_hierarchy_with_http_info(project_id, body, **kwargs)
Create or update subject, session and acquisition containers in the project.
Create, update or just return an existing container sub-hierarchy as-is for the given project. Useful for efficient and highly parallel automated imports using device authN, based on common routing fields such as id, uid and label. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
project_id | str | | required |
body | ProjectHierarchyInput | | required |
uid_scope | (str, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |